Bug 477862 - Installing kernel rpm 'blips' the disk drives, which can cause installation to hang
Installing kernel rpm 'blips' the disk drives, which can cause installation t...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-24 08:02 EST by Ed Avis
Modified: 2009-07-14 11:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:53:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Avis 2008-12-24 08:02:13 EST
When 'yum update' installs a new kernel package, it somehow accesses the floppy drive and CD or DVD drive.  You can see the drive lights come on as the kernel package is installed (presumably from preinstall or postinstall scripts).  If there is no disk in the floppy drive then logwatch afterwards reports an error from /dev/fd0.

Normally this accessing of the drives is benign.  However, if the CD drive has a CD that cannot be read for some reason (badly burned CD, or hardware failure) then this causes the kernel package install to hang, churning the CD drive.  The disc cannot be ejected because the drive is busy.  The only obvious way to stop this is to reboot the machine (which is not a safe thing to do halfway through a 'yum update').

I suggest that the kernel rpm installation scripts should not access the floppy drive, CD drive or other removable media as part of the installation.
Comment 1 Chuck Ebbert 2009-02-27 03:47:02 EST
The I/O should time out eventually. Sometimes it can take a long time...
Comment 2 Ed Avis 2009-03-26 13:45:35 EDT
Do you know the reason why installing a kernel even tries to access the removable media?
Comment 3 Bug Zapper 2009-06-09 23:27:15 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 11:53:59 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.